org.eclipse.aether.transfer

## Class ArtifactNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.ArtifactTransferException
        - - org.eclipse.aether.transfer.ArtifactNotFoundException

- All Implemented Interfaces:
    Serializable

      public class ArtifactNotFoundException
      extends ArtifactTransferException

  Thrown when an artifact was not found in a particular repository.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository)` Creates a new exception with the specified artifact and repository.
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository, String message)` Creates a new exception with the specified artifact, repository and detail message.
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository, String message, boolean fromCache)` Creates a new exception with the specified artifact, repository and detail message.
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository, String message, Throwable cause)` Creates a new exception with the specified artifact, repository, detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.aether.transfer.ArtifactTransferException

      `getArtifact, getRepository, isFromCache`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository)

      Creates a new exception with the specified artifact and repository.
      Parameters:
        `artifact` - The missing artifact, may be `null`.
        `repository` - The involved remote repository, may be `null`.

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message)

      Creates a new exception with the specified artifact, repository and detail message.
      Parameters:
        `artifact` - The missing artifact, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `message` - The detail message, may be `null`.

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message,
                                   boolean fromCache)

      Creates a new exception with the specified artifact, repository and detail message.
      Parameters:
        `artifact` - The missing artifact, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `message` - The detail message, may be `null`.
        `fromCache` - `true` if the exception was played back from the error cache, `false` if the exception actually just occurred.

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message,
                                   Throwable cause)

      Creates a new exception with the specified artifact, repository, detail message and cause.
      Parameters:
        `artifact` - The missing artifact, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.